Get entity K8s workloads
GET
/entities/{id}/k8s/workloads
const url = 'https://shoehorn.example.com/api/v1/entities/example/k8s/workloads';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/entities/example/k8s/workloadsParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Kubernetes workload instances
Media type application/json
object
instances
Array<object>
object
cluster_id
string
namespace
string
name
string
kind
string
replicas
integer
ready_replicas
integer
image
string
last_seen
string format: date-time
Example
{ "instances": [ { "kind": "Deployment" } ]}